﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinTabs;
using System.Drawing.Imaging;

namespace TabLoadingImage
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            ultraTabControl1.DrawFilter = new LoadingDrawFilter();
        }
    }

    public class LoadingDrawFilter : IUIElementDrawFilter
    {
        private Bitmap img = new Bitmap(@"..\..\Loading.bmp");
        public bool DrawElement(DrawPhase drawPhase, ref UIElementDrawParams drawParams)
        {
            drawParams.Graphics.DrawImage(img, drawParams.Element.Rect);
            return true;
        }

        public DrawPhase GetPhasesToFilter(ref UIElementDrawParams drawParams)
        {
            if (drawParams.Element is TabCloseButtonUIElement)
                return DrawPhase.BeforeDrawElement;

            return DrawPhase.None;
        }
    }

}
